# Abstract Class yii\twig\html\BaseClassNode

Inheritance | yii\twig\html\BaseClassNode » Twig\Node\Node
Subclasses | yii\twig\html\CssClassNode, yii\twig\html\StyleClassNode
Source Code | https://github.com/yiisoft/yii2-twig/blob/master/html/BaseClassNode.php

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
compile() |  | yii\twig\html\BaseClassNode
getHelperMethod() |  | yii\twig\html\BaseClassNode

## Method Details

compile() public method

public void compile ( \Twig\Compiler $compiler )
$compiler |  |

getHelperMethod() public abstract method

public abstract void getHelperMethod ( )